Subject: Windows X2Go client cant connect to server over openvpn

From: Ross Norton <[email-masked]>
Date: Wed, 17 Jan 2018 00:28:22 +0000

Package: x2goclient

Version: 4.1.0.0

When I try to connect to my server using x2go and my vpn connected on a windows 10 machine I get an error saying "Can't start x.org server please check you're installation".  If I disconnect the VPN it connects fine.

I am able to connect successfully on an Apple Mac High Sierra when openvpn is connected

OS:         Windows 10

Server: Centos 7

X2Go Server: 4.0.1.20

I get get the below log in /var/log/messages so it looks like it makes the connection

Jan 16 12:53:46 server /usr/bin/x2gostartagent: successfully started X2Go agent session with ID user-51-1516136025_stDXFCE_dp32

I see the below in  /home/user/.x2go/C-user-51-1516144088_stDXFCE_dp32

Info: Agent running with pid '73374'.
Session: Starting session at 'Tue Jan 16 15:08:10 2018'.
Info: Proxy running in server mode with pid '73374'.
Info: Waiting for connection from 'localhost' on port '52082'.
Info: Aborting the procedure due to signal '1'.
Error: Aborting session with 'Unable to open display 'nx/nx,options=/tmp/.x2go-user/C-user-51-1516144088_stDXFCE_dp32/options:51''.
Session: Aborting session at 'Tue Jan 16 15:09:10 2018'.
Session: Session aborted at 'Tue Jan 16 15:09:10 2018'.

Regards
Ross